Package commoble.exmachina.engine.internal.circuit

# Class ComponentBaker

java.lang.Object
commoble.exmachina.engine.internal.circuit.ComponentBaker

public class ComponentBaker extends Object

## Constructor Summary

Constructors
Constructor
Description
`ComponentBaker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`generation()`
`static ComponentBaker`
`get()`
`StateComponent`
`getComponent(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.RegistryAccess registries)`
`void`
`preBake(net.minecraft.core.RegistryAccess registries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComponentBaker

public ComponentBaker()

## Method Details

### get

public static ComponentBaker get()

### clear

public void clear()

### generation

public int generation()

### preBake

public void preBake(net.minecraft.core.RegistryAccess registries)

### getComponent

public StateComponent getComponent(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.RegistryAccess registries)